import { EventEmitter } from '@angular/core';
import { IconProp } from '@fortawesome/fontawesome-svg-core';
import { ButtonSizes, ButtonStyles, ButtonTypes } from './button.types';
import { TooltipClass } from '../tooltip/tooltip.class.type';
import { PlacementArray } from '../../../utils/positioning';
export declare class ButtonComponent {
    size: ButtonSizes;
    btnStyle: ButtonStyles;
    btnType: ButtonTypes;
    icon: IconProp;
    text: string;
    tooltip: string;
    tooltipIcon: IconProp;
    tooltipClass: TooltipClass;
    tooltipPlacement: PlacementArray;
    click: EventEmitter<{}>;
    clicked(event: MouseEvent): void;
}
