/**
 * A configuration service for the [`Tabset`](#/components/tabset/api#Tabset) component.
 *
 * You can inject this service, typically in your root component, and customize the values of its properties in
 * order to provide default values for all the tabsets used in the application.
 */
export declare class TabsetConfig {
    justify: 'start' | 'center' | 'end' | 'fill' | 'justified';
    orientation: 'horizontal' | 'vertical';
    type: 'tabs' | 'pills';
}
