import { OnInit } from '@angular/core';
import { ModalDismissReasons } from './modal-dismiss-reasons';
import { Subject } from 'rxjs';
import { NgbModal } from './modal';
export declare class ModalComponent implements OnInit {
    private modal;
    content: any;
    title: string;
    backdrop: boolean | 'static';
    size: 'sm' | 'lg' | 'xl';
    closed: Subject<ModalDismissReasons>;
    opened: boolean;
    private closeResult;
    private options;
    constructor(modal: NgbModal);
    ngOnInit(): void;
    open(): void;
    close(reason?: ModalDismissReasons): void;
}
