import { OnInit } from '@angular/core';
import { BackgroundColor } from '../../../types/background.color.type';
import { TextColor } from '../../../types/text.color.type';
import { IconProp } from '@fortawesome/fontawesome-svg-core';
import { ShadowSize } from '../../../types/shadow.size.type';
export declare class PageHeaderComponent implements OnInit {
    icon: IconProp;
    pageTitle: string;
    desc: string;
    backgroundColor: BackgroundColor;
    textColor: TextColor;
    shadow: ShadowSize;
    constructor();
    ngOnInit(): void;
}
